Obter Conteúdo Educacional
curl --request GET \
--url https://api.example.com/cyber/advise/{userhash} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.example.com/cyber/advise/{userhash}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.example.com/cyber/advise/{userhash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"catalogId": "abc123",
"userId": "def456",
"type": "advice",
"title": "Como Identificar E-mails de Phishing",
"body": "E-mails de phishing são tentativas de roubar suas informações pessoais...",
"validationQuestion": "Você já recebeu um e-mail suspeito?",
"deviceType": "mobile",
"answerOptions": [
{
"value": "yes",
"label": "Sim"
},
{
"value": "no",
"label": "Não"
}
]
}
]
Cyber (Proteção Digital)
Obter Conteúdo Educacional
Recupera conteúdo educacional personalizado sobre segurança cibernética.
GET
/
cyber
/
advise
/
{userhash}
Obter Conteúdo Educacional
Visão Geral
Retorna conteúdo educacional e dicas de segurança personalizadas para o usuário, incluindo alertas sobre novos golpes, melhores práticas e recomendações de proteção.Autenticação
string
required
Sua chave de API fornecida pela Zentek.
Path Parameters
string
required
Hash único do usuário (blake2b do CPF + salt do parceiro).
Exemplo de Request
curl -X GET "https://api.partner.zentek.com.br/v1/cyber/advise/a1b2c3d4e5f6..." \
-H "x-api-key: SUA_API_KEY"
const response = await fetch('https://api.partner.zentek.com.br/v1/cyber/advise/a1b2c3d4e5f6...', {
headers: {
'x-api-key': 'SUA_API_KEY'
}
});
Response
string
ID do catálogo de conteúdo.
string
ID do usuário.
string
Tipo de conteúdo:
advice (conselho), alert (alerta), tip (dica).string
Título do conteúdo educacional.
string
Corpo do conteúdo com as informações detalhadas.
string
Pergunta de validação para engajamento do usuário (opcional).
string
Tipo de dispositivo recomendado:
mobile, desktop, all.array
Opções de resposta para a pergunta de validação (se aplicável).
[
{
"catalogId": "abc123",
"userId": "def456",
"type": "advice",
"title": "Como Identificar E-mails de Phishing",
"body": "E-mails de phishing são tentativas de roubar suas informações pessoais...",
"validationQuestion": "Você já recebeu um e-mail suspeito?",
"deviceType": "mobile",
"answerOptions": [
{
"value": "yes",
"label": "Sim"
},
{
"value": "no",
"label": "Não"
}
]
}
]
Was this page helpful?
